#!/bin/bash
#
# Resolve the location of the SmartSynchronize installation.
# This includes resolving any symlinks.
PRG=$0
while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2> /dev/null >/dev/null; then
        PRG="$link"
    else
        PRG="`dirname "$PRG"`/$link"
    fi
done

SMARTSYNCHRONIZE_BIN=`dirname "$PRG"`

# absolutize dir
oldpwd=`pwd`
cd "${SMARTSYNCHRONIZE_BIN}"
SMARTSYNCHRONIZE_BIN=`pwd`
cd "${oldpwd}"

ICON_NAME=syntevo-smartsynchronize
TMP_DIR=`mktemp --directory`
DESKTOP_FILE=$TMP_DIR/syntevo-smartsynchronize.desktop
cat << EOF > $DESKTOP_FILE
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=SmartSynchronize
Keywords=compare;merge
GenericName=File and Directory Compare
Type=Application
Categories=Development
Terminal=false
StartupNotify=true
StartupWMClass=SmartSynchronize
Exec="$SMARTSYNCHRONIZE_BIN/smartsynchronize.sh" %f
MimeType=x-directory/normal
Icon=$ICON_NAME.png
EOF

# seems necessary to refresh immediately:
chmod 644 $DESKTOP_FILE

xdg-desktop-menu install $DESKTOP_FILE
xdg-icon-resource install --size  32 "$SMARTSYNCHRONIZE_BIN/smartsynchronize-32.png"  $ICON_NAME
xdg-icon-resource install --size  48 "$SMARTSYNCHRONIZE_BIN/smartsynchronize-48.png"  $ICON_NAME
xdg-icon-resource install --size  64 "$SMARTSYNCHRONIZE_BIN/smartsynchronize-64.png"  $ICON_NAME
xdg-icon-resource install --size 128 "$SMARTSYNCHRONIZE_BIN/smartsynchronize-128.png" $ICON_NAME

rm $DESKTOP_FILE
rm -R $TMP_DIR
